{pkgs', ...}: ''

  convert_multiline_for_nix() {
   printf "%s" "
   }$1" | ${pkgs'.gnused}/bin/sed 's/\\/\\\\/g; s/"/\\"/g; s/$/\\n/g' | tr -d '\n'
  }

  download_test_images() {

      echo_step "Downloading docker images"

      if ! ${pkgs'.docker}/bin/docker images | grep atmoz/sftp | grep alpine
      then
          echo_step "Downloading atmoz/sftp:alpine"
          if ! ${pkgs'.docker}/bin/docker pull atmoz/sftp:alpine
          then
              echo_fail "Failed to download atmoz/sftp:alpine"
              exit 1
          fi
      fi

      if ! ${pkgs'.docker}/bin/docker images | grep axllent/mailpit
      then
          echo_step "Downloading atmoz/sftp:alpine"
          if ! ${pkgs'.docker}/bin/docker pull axllent/mailpit
          then
              echo_fail "Failed to download axllent/mailpit"
              exit 1
          fi
      fi

  }

  setup_go_env() {
      echo_step "Setting GO111MODULE=auto"
      if ! ${pkgs'.go}/bin/go env -w GO111MODULE=auto
      then
          echo_fail "Failed to set GO111MODULE=auto"
          exit 1
      fi
  }

''
